- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DExtras
- QPlaneGeometryView
- Qt 6.7.3 Reference Documentation

# QPlaneGeometryView Class

class Qt3DExtras::QPlaneGeometryView

A square planar mesh. More...

Header: | #include <Qt3DExtras/QPlaneGeometryView>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras
Instantiated By: | PlaneGeometryView
Inherits: | Qt3DCore::QGeometryView

- List of all members, including inherited members

## Properties

- height : float
- meshResolution : QSize
- mirrored : bool
- width : float

## Public Functions

| QPlaneGeometryView(Qt3DCore::QNode *parent = nullptr)
float | height() const
QSize | meshResolution() const
bool | mirrored() const
float | width() const

## Public Slots

void | setHeight(float height)
void | setMeshResolution(const QSize &resolution)
void | setMirrored(bool mirrored)
void | setWidth(float width)

## Signals

void | heightChanged(float height)
void | meshResolutionChanged(const QSize &meshResolution)
void | mirroredChanged(bool mirrored)
void | widthChanged(float width)

## Detailed Description

* * * * * * *

## Property Documentation

### height : float

Holds the plane height.

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### meshResolution : QSize

Holds the plane resolution. The width and height values of this property specify the number of vertices generated for the mesh in the respective dimensions.

Access functions:

QSize | meshResolution() const
void | setMeshResolution(const QSize &resolution)

Notifier signal:

void | meshResolutionChanged(const QSize &meshResolution)

### mirrored : bool

Controls if the UV coordinates of the plane should be flipped vertically.

Access functions:

bool | mirrored() const
void | setMirrored(bool mirrored)

Notifier signal:

void | mirroredChanged(bool mirrored)

### width : float

Holds the plane width.

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)

## Member Function Documentation

### `[explicit]` QPlaneGeometryView::QPlaneGeometryView(Qt3DCore::QNode *parent = nullptr)

Constructs a new QPlaneGeometryView with parent.